package domain


type AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto struct {
    /*
        主站子订单ID     */
    TbSubOrderId  *int64 `json:"tb_sub_order_id,omitempty" `

    /*
        五道口订单ID     */
    BizOrderId  *int64 `json:"biz_order_id,omitempty" `

    /*
        五道口子订单ID     */
    BizSubOrderId  *int64 `json:"biz_sub_order_id,omitempty" `

    /*
        商户编码     */
    MerchantCode  *string `json:"merchant_code,omitempty" `

    /*
        经营店ID     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        拣货数量     */
    PickAmountStock  *string `json:"pick_amount_stock,omitempty" `

    /*
        扩展属性     */
    Attributes  *string `json:"attributes,omitempty" `

    /*
        履约状态     */
    FulfillStatus  *string `json:"fulfill_status,omitempty" `

    /*
        主站订单ID     */
    TbOrderId  *int64 `json:"tb_order_id,omitempty" `

    /*
        渠道店ID     */
    ShopId  *string `json:"shop_id,omitempty" `

    /*
        返仓数量     */
    EnterWarehouseStockQuantity  *string `json:"enter_warehouse_stock_quantity,omitempty" `

}

func (s *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto) SetTbSubOrderId(v int64) *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto {
    s.TbSubOrderId = &v
    return s
}
func (s *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto) SetBizOrderId(v int64) *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto {
    s.BizOrderId = &v
    return s
}
func (s *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto) SetBizSubOrderId(v int64) *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto {
    s.BizSubOrderId = &v
    return s
}
func (s *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto) SetMerchantCode(v string) *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto {
    s.MerchantCode = &v
    return s
}
func (s *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto) SetStoreId(v string) *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto) SetPickAmountStock(v string) *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto {
    s.PickAmountStock = &v
    return s
}
func (s *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto) SetAttributes(v string) *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto {
    s.Attributes = &v
    return s
}
func (s *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto) SetFulfillStatus(v string) *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto {
    s.FulfillStatus = &v
    return s
}
func (s *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto) SetTbOrderId(v int64) *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto {
    s.TbOrderId = &v
    return s
}
func (s *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto) SetShopId(v string) *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto {
    s.ShopId = &v
    return s
}
func (s *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto) SetEnterWarehouseStockQuantity(v string) *AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto {
    s.EnterWarehouseStockQuantity = &v
    return s
}
